## org.eclipse.datatools.modelbase.sql.datatypes.util
Class SQLDataTypesAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesAdapterFactory

Direct Known Subclasses:
  SQLDataTypesItemProviderAdapterFactory

public class SQLDataTypesAdapterFactory
extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLDataTypesPackage`, Serialized Form

Constructor Summary
`SQLDataTypesAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createApproximateNumericDataTypeAdapter()` Creates a new adapter for an object of class '`Approximate Numeric Data Type`'.
`Adapter` `createArrayDataTypeAdapter()` Creates a new adapter for an object of class '`Array Data Type`'.
`Adapter` `createAttributeDefinitionAdapter()` Creates a new adapter for an object of class '`Attribute Definition`'.
`Adapter` `createBinaryStringDataTypeAdapter()` Creates a new adapter for an object of class '`Binary String Data Type`'.
`Adapter` `createBooleanDataTypeAdapter()` Creates a new adapter for an object of class '`Boolean Data Type`'.
`Adapter` `createCharacterSetAdapter()` Creates a new adapter for an object of class '`Character Set`'.
`Adapter` `createCharacterStringDataTypeAdapter()` Creates a new adapter for an object of class '`Character String Data Type`'.
`Adapter` `createCollectionDataTypeAdapter()` Creates a new adapter for an object of class '`Collection Data Type`'.
`Adapter` `createConstructedDataTypeAdapter()` Creates a new adapter for an object of class '`Constructed Data Type`'.
`Adapter` `createDataLinkDataTypeAdapter()` Creates a new adapter for an object of class '`Data Link Data Type`'.
`Adapter` `createDataTypeAdapter()` Creates a new adapter for an object of class '`Data Type`'.
`Adapter` `createDateDataTypeAdapter()` Creates a new adapter for an object of class '`Date Data Type`'.
`Adapter` `createDistinctUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Distinct User Defined Type`'.
`Adapter` `createDomainAdapter()` Creates a new adapter for an object of class '`Domain`'.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createExactNumericDataTypeAdapter()` Creates a new adapter for an object of class '`Exact Numeric Data Type`'.
`Adapter` `createFieldAdapter()` Creates a new adapter for an object of class '`Field`'.
`Adapter` `createFixedPrecisionDataTypeAdapter()` Creates a new adapter for an object of class '`Fixed Precision Data Type`'.
`Adapter` `createIntegerDataTypeAdapter()` Creates a new adapter for an object of class '`Integer Data Type`'.
`Adapter` `createIntervalDataTypeAdapter()` Creates a new adapter for an object of class '`Interval Data Type`'.
`Adapter` `createMultisetDataTypeAdapter()` Creates a new adapter for an object of class '`Multiset Data Type`'.
`Adapter` `createNumericalDataTypeAdapter()` Creates a new adapter for an object of class '`Numerical Data Type`'.
`Adapter` `createPredefinedDataTypeAdapter()` Creates a new adapter for an object of class '`Predefined Data Type`'.
`Adapter` `createReferenceDataTypeAdapter()` Creates a new adapter for an object of class '`Reference Data Type`'.
`Adapter` `createRowDataTypeAdapter()` Creates a new adapter for an object of class '`Row Data Type`'.
`Adapter` `createSQLDataTypeAdapter()` Creates a new adapter for an object of class '`SQL Data Type`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createStructuredUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Structured User Defined Type`'.
`Adapter` `createTimeDataTypeAdapter()` Creates a new adapter for an object of class '`Time Data Type`'.
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`Adapter` `createUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`User Defined Type`'.
`Adapter` `createUserDefinedTypeOrderingAdapter()` Creates a new adapter for an object of class '`User Defined Type Ordering`'.
`Adapter` `createXMLDataTypeAdapter()` Creates a new adapter for an object of class '`XML Data Type`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDataTypesAdapterFactory

    public SQLDataTypesAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createUserDefinedTypeAdapter

    public Adapter createUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedType`

### createDataTypeAdapter

    public Adapter createDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataType`

### createPredefinedDataTypeAdapter

    public Adapter createPredefinedDataTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedDataType`

### createCollectionDataTypeAdapter

    public Adapter createCollectionDataTypeAdapter()

  Creates a new adapter for an object of class '`Collection Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionDataType`

### createNumericalDataTypeAdapter

    public Adapter createNumericalDataTypeAdapter()

  Creates a new adapter for an object of class '`Numerical Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NumericalDataType`

### createCharacterStringDataTypeAdapter

    public Adapter createCharacterStringDataTypeAdapter()

  Creates a new adapter for an object of class '`Character String Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CharacterStringDataType`

### createRowDataTypeAdapter

    public Adapter createRowDataTypeAdapter()

  Creates a new adapter for an object of class '`Row Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RowDataType`

### createArrayDataTypeAdapter

    public Adapter createArrayDataTypeAdapter()

  Creates a new adapter for an object of class '`Array Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ArrayDataType`

### createMultisetDataTypeAdapter

    public Adapter createMultisetDataTypeAdapter()

  Creates a new adapter for an object of class '`Multiset Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MultisetDataType`

### createBooleanDataTypeAdapter

    public Adapter createBooleanDataTypeAdapter()

  Creates a new adapter for an object of class '`Boolean Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanDataType`

### createIntervalDataTypeAdapter

    public Adapter createIntervalDataTypeAdapter()

  Creates a new adapter for an object of class '`Interval Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntervalDataType`

### createBinaryStringDataTypeAdapter

    public Adapter createBinaryStringDataTypeAdapter()

  Creates a new adapter for an object of class '`Binary String Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BinaryStringDataType`

### createCharacterSetAdapter

    public Adapter createCharacterSetAdapter()

  Creates a new adapter for an object of class '`Character Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CharacterSet`

### createTimeDataTypeAdapter

    public Adapter createTimeDataTypeAdapter()

  Creates a new adapter for an object of class '`Time Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeDataType`

### createDistinctUserDefinedTypeAdapter

    public Adapter createDistinctUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Distinct User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DistinctUserDefinedType`

### createStructuredUserDefinedTypeAdapter

    public Adapter createStructuredUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Structured User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StructuredUserDefinedType`

### createAttributeDefinitionAdapter

    public Adapter createAttributeDefinitionAdapter()

  Creates a new adapter for an object of class '`Attribute Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeDefinition`

### createFixedPrecisionDataTypeAdapter

    public Adapter createFixedPrecisionDataTypeAdapter()

  Creates a new adapter for an object of class '`Fixed Precision Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FixedPrecisionDataType`

### createDomainAdapter

    public Adapter createDomainAdapter()

  Creates a new adapter for an object of class '`Domain`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Domain`

### createFieldAdapter

    public Adapter createFieldAdapter()

  Creates a new adapter for an object of class '`Field`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Field`

### createReferenceDataTypeAdapter

    public Adapter createReferenceDataTypeAdapter()

  Creates a new adapter for an object of class '`Reference Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceDataType`

### createConstructedDataTypeAdapter

    public Adapter createConstructedDataTypeAdapter()

  Creates a new adapter for an object of class '`Constructed Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConstructedDataType`

### createSQLDataTypeAdapter

    public Adapter createSQLDataTypeAdapter()

  Creates a new adapter for an object of class '`SQL Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataType`

### createDataLinkDataTypeAdapter

    public Adapter createDataLinkDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Link Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataLinkDataType`

### createUserDefinedTypeOrderingAdapter

    public Adapter createUserDefinedTypeOrderingAdapter()

  Creates a new adapter for an object of class '`User Defined Type Ordering`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedTypeOrdering`

### createDateDataTypeAdapter

    public Adapter createDateDataTypeAdapter()

  Creates a new adapter for an object of class '`Date Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DateDataType`

### createExactNumericDataTypeAdapter

    public Adapter createExactNumericDataTypeAdapter()

  Creates a new adapter for an object of class '`Exact Numeric Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExactNumericDataType`

### createApproximateNumericDataTypeAdapter

    public Adapter createApproximateNumericDataTypeAdapter()

  Creates a new adapter for an object of class '`Approximate Numeric Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ApproximateNumericDataType`

### createIntegerDataTypeAdapter

    public Adapter createIntegerDataTypeAdapter()

  Creates a new adapter for an object of class '`Integer Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerDataType`

### createXMLDataTypeAdapter

    public Adapter createXMLDataTypeAdapter()

  Creates a new adapter for an object of class '`XML Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLDataType`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.